#
# Conditional build:
%bcond_without	openmp		# OpenMP support
%bcond_without	lcms		# LCMS support
%bcond_with	sse		# SSE instructions
#
%ifarch pentium3 pentium4 %{x8664} x32
%define	with_sse	1
%endif
Summary:	PNG converter and lossy image compressor
Summary(pl.UTF-8):	Konwerter i stratny kompresor dla plików PNG
Name:		pngquant
Version:	2.12.2
Release:	1
# some original code was on MIT-like license
License:	GPL v3+ with MIT parts or commercial
Group:		Libraries
#Source0Download: https://pngquant.org/releases.html
Source0:	https://pngquant.org/%{name}-%{version}-src.tar.gz
# Source0-md5:	ea2399f351cf346cfe54f0442a864026
URL:		https://pngquant.org/
%{?with_openmp:BuildRequires:	gcc >= 6:4.2}
%{?with_openmp:BuildRequires:	libgomp-devel}
%{?with_lcms:BuildRequires:	lcms2-devel >= 2}
BuildRequires:	libimagequant-devel >= 2.12
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	libimagequant >= 2.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PNG converter and lossy image compressor.

%description -l pl.UTF-8
Konwerter i stratny kompresor dla plików PNG.

%prep
%setup -q

%build
# not autoconf configure
./configure \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	LDFLAGS="%{rpmldflags}" \
	--prefix=%{_prefix} \
	%{__enable_disable sse} \
	%{?with_lcms:--with-lcms2} \
	--with-libimagequant \
	%{?with_openmp:--with-openmp}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG COPYRIGHT README.md
%attr(755,root,root) %{_bindir}/pngquant
%{_mandir}/man1/pngquant.1*
%changelog
* Mon Oct 29 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pngquant.git;a=log;h=master

* Mon Oct 29 2018 Adam Gołębiowski <adamg@pld-linux.org> 01a3105
- updated to 2.12.2

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 62ad54c
- updated to 2.12.0

* Mon May 28 2018 Jakub Bogusz <qboosh@pld-linux.org> bd5e7d2
- updated to 2.11.7
- removed outdated shared patch
- use system libimagequant

* Sun Aug 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 09bcd29
- release 2

* Sun Aug 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 3685d99
- no sse option means compile time detection on build host; avoid using SSE where not always available

* Sat Aug 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 7c90211
- updated to 2.7.2

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 58b7aa3
- updated to 2.6.0
- updated shared patch
- removed obsolete soname patch

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 0ce2e68
- renamed gomp bcond to compiler-agnostic openmp

* Sun Jun 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 683a434
- new
- soname patch adds SONAME field to library
- shared patch makes pngquant program link with shared library instead of static

